# artifact

abstract fun artifact(@DelegatesTo(value = DependencyArtifact::class, strategy = 1) configureClosure: Closure): DependencyArtifact

Adds an artifact to this dependency. The given closure is passed a instance, which it can configure.

If no artifact is added to a dependency, an implicit default artifact is used. This default artifact has the same name as the module and its type and extension is `jar`. If at least one artifact is explicitly added, the implicit default artifact won't be used any longer.

#### Return

the added artifact

#### See also

DependencyArtifact

abstract fun artifact(configureAction: Action<in DependencyArtifact>): DependencyArtifact

Adds an artifact to this dependency. The given action is passed a instance, which it can configure.

If no artifact is added to a dependency, an implicit default artifact is used. This default artifact has the same name as the module and its type and extension is `jar`. If at least one artifact is explicitly added, the implicit default artifact won't be used any longer.

#### Return

the added artifact

#### Since

3.1

#### See also

DependencyArtifact